#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

struct point {
	int x, y, dist;
	int number;
	point(int _x, int _y, int _number) {
		number = _number;
		x = _x;
		y = _y;
		dist = x * x + y * y;
	}
	point() {
		number = 0;
		x = 0;
		y = 0;
		dist = x * x + y * y;
	}
	point(point A, point B, int _number) {
		number = _number;
		x = B.x - A.x;
		y = B.y - A.y;
		dist = x * x + y * y;
	}

	/*point operator+(point A) {
		return point(x + A.x, y + A.y);
	}
	point operator-(point A) {
		return point(x - A.x, y - A.y);
	}
	point operator+() {
		return point(-x, -y);
	}*/
	int operator*(point A) {
		return x * A.x + y * A.y;
	}
	int operator%(point A) {
		return x * A.y - y * A.x;
	}
};

int main()
{
	//point A(1, 0), B(0, -1);
	//cout << atan2(A%B,A*B);
	int n, t;
	cin >> n >> t;
	t--;
	vector<point> z(n);
	for (int i = 0; i < n; i++) {
		int x, y;
		cin >> x >> y;
		z[i] = point(x, y, i);
	}
	vector<vector<int>> ans(n, vector<int>(n));
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			if (i == j) continue;
			
			int q1 = i, q2 = j;
			for (int k = 0; k< n*n*5; k++) {
				
				point Q(z[q1], z[q2], -1);
				vector<point> v;
				for (int l = 0; l < n; l++) {
					if (l == q2) continue;
					v.push_back(point(z[q2], z[l], z[l].number));
				}
				sort(v.begin(), v.end(), [&](point A, point B) {
					double q1 = atan2(Q%A, Q*A), q2 = atan2(Q%B, Q*B);
					if (q1 < 0) q1 += 3.14159265 * 2;
					if (q2 < 0) q2 += 3.14159265 * 2;
					if(q1!=q2) return  q1 < q2;
					else return A.dist < B.dist;
					
				});
				q1 = q2;
				q2 = v[t].number;
				if (q1 == i) ans[i][j]++;
				//ans[i][q1]++;
			}
		}
	}
	vector<int> ans1(n);
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			ans1[i] = max(ans1[i], ans[i][j]);
		}
	}
	for (int i = 0; i < n; i++) {
		if (ans1[i] > n) cout << 'G';
		else if (ans1[i] > 0) cout << "B";
		else cout << 'R';
	}
}
/*
6 4
-1 -1
1 -2
4 -2
2 -4
2 3
-4 -5
*/
